<< idst1 | FOSSEE_Signal_Processing_Toolbox | ifft2 >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > ifft1

# ifft1

Compute the inverse discrete Fourier transform.

### Syntax

    ifft1(x)
    ifft1(x, n)
    ifft1(x, n, dim)

### Parameters

x:

  Input matrix.

n:

  (optional) Number of elements of x to use. If n is larger than the dimension along which the inverse FFT is calculated, x is resized and padded with zeros. If smaller, x is truncated.

dim:

  (optional) Dimension of the matrix along which the inverse FFT is performed.

### Description

Calculates the inverse discrete Fourier transform of a matrix using a Fast Fourier Transform algorithm. The inverse FFT is calculated along the first non-singleton dimension of the array.

### Examples

    x = [1 2 3; 4 5 6; 7 8 9]
    n = 3
    dim = 2
    ifft1(x, n, dim)

Report an issue
<< idst1 | FOSSEE_Signal_Processing_Toolbox | ifft2 >>